<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="icon" href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 128 128%22><text y=%221.2em%22 font-size=%2296%22>⚫️</text><text y=%221.3em%22 x=%220.2em%22 font-size=%2276%22 fill=%22%23fff%22>sf</text></svg>">
        {% block stylesheets %}
            <link rel="stylesheet" href="{{ asset('styles/app.scss') }}">
        {% endblock %}

        {% block javascripts %}
            {% block importmap %}{{ importmap('app') }}{% endblock %}
        {% endblock %}
    </head>
    <body class="vh-100 d-flex flex-column" {% block body_background %}{% endblock %}>
    <nav id="header" class="bg-white">
        <div class="px-md-0 container">
            <div class="row justify-content-md-between align-items-center py-2">
                <div class="text-center text-md-left col-md-3">
                    <h1 class="d-inline-block mb-0">
                        <a href="{{ path('app_room') }}" class="lh-base fs-2 text-decoration-none d-flex align-items-center">
                            {% if isFramasoftThemed %}
                                <img alt="" src="https://framatalk.org/abc/img/icons/talk.svg" class="p-1 ps-0" width="64" height="64">
                                <span><b class="violet">Frama</b><b class="orange" lang="en">talk</b></span>
                            {% else %}
                                <b>{{ serviceName }}</b>
                            {% endif %}
                        </a>
                    </h1>
                </div>
                {% if app.user %}
                    <div class="d-flex justify-content-center justify-content-md-end col-md-7">
                        {% if is_granted('ROLE_ADMIN') %}
                            <a class="btn btn-danger" href="{{ path('admin') }}">
                                <svg style="height: 1.5rem" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><title>view-dashboard</title><path d="M13,3V9H21V3M13,21H21V11H13M3,21H11V15H3M3,13H11V3H3V13Z" /></svg>
                                <span>Admin</span>
                            </a>
                        {% endif %}
                        <a class="btn" href="{{ path('app_profile') }}">
                            {{ app.user.username }}
                        </a>
                        <a class="btn btn-light" href="{{ path('app_logout') }}">
                            <svg  style="height: 1.5rem" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><title>logout</title><path d="M17 7L15.59 8.41L18.17 11H8V13H18.17L15.59 15.58L17 17L22 12M4 5H12V3H4C2.9 3 2 3.9 2 5V19C2 20.1 2.9 21 4 21H12V19H4V5Z" /></svg>
                            {{ 'base.header.logout' | trans }}
                        </a>
                    </div>
                {% endif %}
            </div>
        </div>
    </nav>
    <main class="flex-grow-1">
        {% block body %}{% endblock %}
    </main>
    {% block footer %}{% endblock %}
    </body>
</html>
